Debian Bug report logs - #595130
k3b uses hal whereas gnome and kde try to get rid of it

version graph

Package: k3b; Maintainer for k3b is Debian KDE Extras Team <pkg-kde-extras@lists.alioth.debian.org>; Source for k3b is src:k3b.

Reported by: Vincent Danjean <vdanjean@debian.org>

Date: Wed, 1 Sep 2010 09:27:01 UTC

Severity: wishlist

Found in version k3b/2.0.1-1

Fixed in version k3b/2.0.2-1

Done: Fathi Boudra <fabo@debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, k3b-user@lists.sourceforge.net, Debian KDE Extras Team <pkg-kde-extras@lists.alioth.debian.org>:
Bug#595130; Package k3b. (Wed, 01 Sep 2010 09:27:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Vincent Danjean <vdanjean@debian.org>:
New Bug report received and forwarded. Copy sent to k3b-user@lists.sourceforge.net, Debian KDE Extras Team <pkg-kde-extras@lists.alioth.debian.org>. (Wed, 01 Sep 2010 09:27:04 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Vincent Danjean <vdanjean@debian.org>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: k3b uses hal whereas gnome and kde try to get rid of it
Date: Wed, 01 Sep 2010 11:22:35 +0200
Package: k3b
Version: 2.0.1-1
Severity: wishlist

  k3b is the last package on my Debian system depending on hal. I do not know
if this can be avoid by selecting compilation options or not. But Gnome and KDE
removed their dependencies upon hal so it would be good it k3b can work without
it, too.

  Regards,
    Vincent

-- Package-specific info:

-- System Information:
Debian Release: squeeze/sid
  APT prefers unstable
  APT policy: (500, 'unstable'), (500, 'testing'), (500, 'stable'), (1, 'experimental')
Architecture: amd64 (x86_64)

Kernel: Linux 2.6.32-5-amd64 (SMP w/2 CPU cores)
Locale: LANG=fr_FR.UTF-8, LC_CTYPE=fr_FR.UTF-8 (charmap=UTF-8)
Shell: /bin/sh linked to /bin/bash

Versions of packages k3b depends on:
ii  cdparanoia               3.10.2+debian-9 audio extraction tool for sampling
ii  cdrdao                   1:1.2.3-0.1     records CDs in Disk-At-Once (DAO) 
ii  cdrskin                  0.8.0.pl00-2    command line CD/DVD/BD writing too
ii  genisoimage              9:1.1.10-1      Creates ISO-9660 CD-ROM filesystem
ii  hal                      0.5.14-3        Hardware Abstraction Layer
ii  k3b-data                 2.0.1-1         A sophisticated CD/DVD burning app
ii  kdebase-runtime          4:4.4.5-1       runtime components from the offici
ii  libc6                    2.11.2-2        Embedded GNU C Library: Shared lib
ii  libgcc1                  1:4.5.0-6       GCC support library
ii  libk3b6                  2.0.1-1         The KDE CD/DVD burning application
ii  libkcddb4                4:4.4.5-1       CDDB library for KDE Platform (run
ii  libkde3support4          4:4.4.5-1       the KDE 3 Support Library for the 
ii  libkdecore5              4:4.4.5-1       the KDE Platform Core Library
ii  libkdeui5                4:4.4.5-1       the KDE Platform User Interface Li
ii  libkfile4                4:4.4.5-1       the File Selection Dialog Library 
ii  libkio5                  4:4.4.5-1       the Network-enabled File Managemen
ii  libknotifyconfig4        4:4.4.5-1       library for configuring KDE Notifi
ii  libkparts4               4:4.4.5-1       the Framework for the KDE Platform
ii  libkutils4               4:4.4.5-1       various utility classes for the KD
ii  libmusicbrainz4c2a       2.1.5-4         Second generation incarnation of t
ii  libqt4-dbus              4:4.6.3-1       Qt 4 D-Bus module
ii  libqt4-network           4:4.6.3-1       Qt 4 network module
ii  libqt4-qt3support        4:4.6.3-1       Qt 3 compatibility library for Qt 
ii  libqt4-svg               4:4.6.3-1       Qt 4 SVG module
ii  libqt4-webkit            4:4.6.3-1       Qt 4 WebKit module
ii  libqt4-xml               4:4.6.3-1       Qt 4 XML module
ii  libqtcore4               4:4.6.3-1       Qt 4 core module
ii  libqtgui4                4:4.6.3-1       Qt 4 GUI module
ii  libsolid4                4:4.4.5-1       Solid Library for KDE Platform
ii  libstdc++6               4.5.0-6         The GNU Standard C++ Library v3
ii  wodim                    9:1.1.10-1      command line CD/DVD writing tool

Versions of packages k3b recommends:
ii  dvd+rw-tools                 7.1-7       DVD+-RW/R tools
ii  libk3b6-extracodecs          2.0.1-1     The KDE CD/DVD burning application
ii  vcdimager                    0.7.23-4+b2 A VideoCD (VCD) image mastering an

Versions of packages k3b suggests:
ii  k3b-extrathemes              2.0.1-1     A sophisticated CD/DVD burning app
pn  k3b-i18n                     <none>      (no description available)
pn  movixmaker-2                 <none>      (no description available)
ii  normalize-audio              0.7.7-7     adjusts the volume of WAV, MP3 and
ii  sox                          14.3.1-1+b1 Swiss army knife of sound processi

-- no debconf information




Information forwarded to debian-bugs-dist@lists.debian.org, Debian KDE Extras Team <pkg-kde-extras@lists.alioth.debian.org>:
Bug#595130; Package k3b. (Wed, 01 Sep 2010 09:36:05 GMT) Full text and rfc822 format available.

Acknowledgement sent to Sune Vuorela <sune@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian KDE Extras Team <pkg-kde-extras@lists.alioth.debian.org>. (Wed, 01 Sep 2010 09:36:05 GMT) Full text and rfc822 format available.

Message #10 received at 595130@bugs.debian.org (full text, mbox):

From: Sune Vuorela <sune@debian.org>
To: Vincent Danjean <vdanjean@debian.org>, 595130@bugs.debian.org
Subject: Re: [Pkg-kde-extras] Bug#595130: k3b uses hal whereas gnome and kde try to get rid of it
Date: Wed, 1 Sep 2010 11:33:39 +0200
On Wednesday 01 September 2010 11:22:35 Vincent Danjean wrote:
>   k3b is the last package on my Debian system depending on hal. I do not
> know if this can be avoid by selecting compilation options or not. But
> Gnome and KDE removed their dependencies upon hal so it would be good it
> k3b can work without it, too.

That's a common misunderstanding. the KDE Platform using hal. There is work in 
progress, that might be ready for the 4.6 release to offer a alternative to 
hal, but it is still just work in progress.

/Sune
-- 
Do you know how might I open a periferic?

You have not to send the mousepad, this way you either should never install 
the mail to the IDE BIOS of a OpenGL board on the shell over a PCI pin of a 
controller, or can never cancel a code to unmount the RAM DLL fan.




Information forwarded to debian-bugs-dist@lists.debian.org, Debian KDE Extras Team <pkg-kde-extras@lists.alioth.debian.org>:
Bug#595130; Package k3b. (Tue, 25 Jan 2011 16:51:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to denk@post.com:
Extra info received and forwarded to list. Copy sent to Debian KDE Extras Team <pkg-kde-extras@lists.alioth.debian.org>. (Tue, 25 Jan 2011 16:51:03 GMT) Full text and rfc822 format available.

Message #15 received at 595130@bugs.debian.org (full text, mbox):

From: denk@post.com
To: 595130@bugs.debian.org
Subject: new release k3b 2.0.2 doesn't need Hal anymore
Date: Tue, 25 Jan 2011 11:46:14 -0500
Hi,

as of the changelog it is possible to compile k3b without HAL-support 
so the dependency should be avoidable:

> Added K3B_ENABLE_HAL_SUPPORT option to the build configuration. It 
allows to disable any direct calls to HAL (253388)

The Bugreport https://bugs.kde.org/show_bug.cgi?id=253388 has more 
information about this.

Could you please look into this and eventually upload 2.0.2 to 
experimental?

Regards
denk




Bug marked as fixed in version 2.0.2-1, send any further explanations to Vincent Danjean <vdanjean@debian.org> Request was from Fathi Boudra <fabo@debian.org> to control@bugs.debian.org. (Mon, 02 May 2011 07:51:06 GMT) Full text and rfc822 format available.

Message sent on to Vincent Danjean <vdanjean@debian.org>:
Bug#595130. (Mon, 02 May 2011 07:51:08 GMT) Full text and rfc822 format available.

Message #20 received at 595130-submitter@bugs.debian.org (full text, mbox):

From: Fathi Boudra <fabo@debian.org>
To: control@bugs.debian.org
Cc: 595130-submitter@bugs.debian.org
Subject: closing 595130
Date: Mon, 02 May 2011 10:50:15 +0300
close 595130 2.0.2-1
thanks





Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Tue, 31 May 2011 07:33:29 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Thu Apr 17 01:01:21 2014; Machine Name: buxtehude.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.